<template>
  <v-dialog v-model="dialogImport" @click:outside="close" max-width="50%">
    <v-card class="pa-8">
        <v-card-title class="justify-center text-h5 d-flex font-weight-bold">
          {{ dialogTitle }}
        </v-card-title>
        <v-divider class="mt-2 mb-4"></v-divider>

        <v-row>
          <v-radio-group v-model="deleteData">
            <v-radio label="Ajouter et conserver les données déjà présentes" data-cy="ImportDialogFormPreserveData"
              :value="false">
            </v-radio>
            <v-radio label="Remplacer les données existantes" data-cy="ImportDialogFormDeleteData" :value="true">
            </v-radio>
          </v-radio-group>
        </v-row>

        <v-card-actions class="justify-center d-flex">
          <v-btn variant="outlined" rounded size="large" data-cy="ImportDialogCloseBtn" class="text-uppercase" @click="close()">
            Annuler
          </v-btn>
          <v-btn color="primary" variant="outlined" rounded size="large" class="text-uppercase inverted" data-cy="ImportDialogOkBtn" :loading="loading" @click="confirm()">
            Valider
          </v-btn>
        </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script setup lang="ts">

const dialogImport = defineModel<boolean>();

const emit = defineEmits(['close', 'confirm']);

const loading = ref(false);
const deleteData = ref(false);
const form: Ref<any> = ref(null);
const close = () => {
  emit('close')
}

const confirm = async () => {
  emit('confirm', deleteData.value);
  loading.value = true;
}

const dialogTitle = `Import d'un nouveau fichier`;
</script>
